Skip to main content

Update an App Attestation for a dispatch target

PATCH 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/dispatch-targets/:dispatchTargetExtId/app-attestation

Since: 8.2605.0, 9.2605.0

Required permission(s): (AccessControl.CredentialModify orAccessControl.DispatchTargetModify), (AccessControl.CredentialView orAccessControl.DispatchTargetView) or SelfAdmin Role

Partially updates the App Attestation associated with the specified dispatch target. This operation allows modifying the details of the app attestation, such as the counter, receipt, public key, device ID, or environment. Updating the app attestation can be useful for maintaining accurate and up-to-date information about the application's environment and security posture, which may be used for making informed decisions during authentication.

This endpoint supports self-admin access. When accessed by the user themselves, a valid JWT token must be provided in the X-Token header.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123
    dispatchTargetExtId stringrequired

    External ID of the dispatch target.

    Example: dt-123

Body

required
    name string

    User friendly name of the iOS App Attestation. If set it has to be unique for the user.

    counter int32

    Number of times the attestation was used to successfully validate an assertion.

    receipt string

    Receipt data of the iOS App Attestation.

    publicKey string

    Public key of the iOS App Attestation.

    deviceId string

    Device ID associated with the iOS App Attestation.

    environment string

    The environment where this credential can be used.

    version int32

    Version used for optimistic locking.

Responses

App Attestation updated successfully

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    name string

    User friendly name of the iOS App Attestation.

    counter int32

    Number of times the attestation was used to successfully validate an assertion.

    receipt string

    Receipt data of the iOS App Attestation.

    publicKey string

    Public key of the iOS App Attestation.

    deviceId string

    Device ID associated with the iOS App Attestation.

    environment string

    The environment where this credential can be used.

Loading...